For the complete documentation index, see llms.txt. This page is also available as Markdown.

Schedule

Schedule

Event List

get

Event List

Path parameters
displayGroupIdintegerRequired

The DisplayGroupId to return the event list for.

Query parameters
singlePointInTimeintegerOptional
datestringOptional

Date in Y-m-d H:i:s

startDatestringOptional

Date in Y-m-d H:i:s

endDatestringOptional

Date in Y-m-d H:i:s

Responses
200

successful response

No content

get/schedule/{displayGroupId}/events
GET /api/schedule/{displayGroupId}/events HTTP/1.1
Accept: */*
200

successful response

No content

Generates the Schedule events grid

get
Query parameters
eventTypeIdintegerOptional

Filter grid by eventTypeId. * 1=Layout, 2=Command, 3=Overlay, 4=Interrupt, 5=Campaign, 6=Action, 7=Media Library, 8=Playlist

fromDtstringOptional

From Date in Y-m-d H:i:s format

toDtstringOptional

To Date in Y-m-d H:i:s format

geoAwareintegerOptional

Flag (0-1), whether to return events using Geo Location

recurringintegerOptional

Flag (0-1), whether to return Recurring events

campaignIdintegerOptional

Filter events by specific campaignId

displayGroupIdsinteger[]Optional

Filter events by an array of Display Group Ids

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/schedule
GET /api/schedule HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "eventId": 1,
    "eventTypeId": 1,
    "campaignId": 1,
    "commandId": 1,
    "displayGroups": [
      {
        "displayGroupId": 1,
        "displayGroup": "text",
        "description": "text",
        "isDisplaySpecific": 1,
        "isDynamic": 1,
        "dynamicCriteria": "text",
        "dynamicCriteriaLogicalOperator": "text",
        "dynamicCriteriaTags": "text",
        "dynamicCriteriaExactTags": 1,
        "dynamicCriteriaTagsLogicalOperator": "text",
        "userId": 1,
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "bandwidthLimit": 1,
        "groupsWithPermissions": "text",
        "createdDt": "text",
        "modifiedDt": "text",
        "folderId": 1,
        "permissionsFolderId": 1,
        "ref1": "text",
        "ref2": "text",
        "ref3": "text",
        "ref4": "text",
        "ref5": "text"
      }
    ],
    "scheduleReminders": [
      {
        "scheduleReminderId": 1,
        "eventId": 1,
        "value": 1,
        "type": 1,
        "option": 1,
        "isEmail": 1,
        "reminderDt": 1,
        "lastReminderDt": 1
      }
    ],
    "criteria": [],
    "userId": 1,
    "fromDt": 1,
    "toDt": 1,
    "isPriority": 1,
    "displayOrder": 1,
    "recurrenceType": "None",
    "recurrenceDetail": 1,
    "recurrenceRange": 1,
    "recurrenceRepeatsOn": "text",
    "recurrenceMonthlyRepeatsOn": 1,
    "campaign": "text",
    "command": "text",
    "dayPartId": 1,
    "isAlways": 1,
    "isCustom": 1,
    "syncEvent": 1,
    "syncTimezone": 1,
    "shareOfVoice": 1,
    "maxPlaysPerHour": 1,
    "isGeoAware": 1,
    "geoLocation": "text",
    "actionTriggerCode": "text",
    "actionType": "text",
    "actionLayoutCode": "text",
    "parentCampaignId": 1,
    "syncGroupId": 1,
    "dataSetId": 1,
    "dataSetParams": 1,
    "modifiedBy": 1,
    "createdOn": "text",
    "updatedOn": "text",
    "name": "text",
    "resolutionId": 1,
    "layoutDuration": 1,
    "backgroundColor": "text"
  }
]

Add Schedule Event

post

Add a new scheduled event for a Campaign/Layout to be shown on a Display Group/Display.

Body
eventTypeIdintegerRequired

The Event Type Id to use for this Event. * 1=Layout, 2=Command, 3=Overlay, 4=Interrupt, 5=Campaign, 6=Action, 7=Media Library, 8=Playlist

campaignIdintegerOptional

The Campaign ID to use for this Event. * If a Layout is needed then the Campaign specific ID for that Layout should be used.

fullScreenCampaignIdintegerOptional

For Media or Playlist event Type. The Layout specific Campaign ID to use for this Event. * This needs to be the Layout created with layout/fullscreen function

commandIdintegerOptional

The Command ID to use for this Event.

mediaIdintegerOptional

The Media ID to use for this Event.

displayOrderintegerRequired

The display order for this event.

isPriorityintegerRequired

An integer indicating the priority of this event. Normal events have a priority of 0.

displayGroupIdsinteger[]Required

The Display Group IDs for this event. Display specific Group IDs should be used to schedule on single displays.

dayPartIdintegerOptional

The Day Part for this event. Overrides supported are 0(custom) and 1(always). Defaulted to 0.

syncTimezoneintegerOptional

Should this schedule be synced to the resulting Display timezone?

fromDtstring · date-timeRequired

The from date for this event.

toDtstring · date-timeOptional

The to date for this event.

recurrenceTypestring · enumOptional

The type of recurrence to apply to this event.

Possible values:
recurrenceDetailintegerOptional

The interval for the recurrence.

recurrenceRangestring · date-timeOptional

The end date for this events recurrence.

recurrenceRepeatsOninteger[]Optional

The days of the week that this event repeats - weekly only

isGeoAwareintegerOptional

Flag (0-1), whether this event is using Geo Location

geoLocationstring[]Optional

Array of comma separated strings each with comma separated pair of coordinates

geoLocationJsonstringOptional

Valid GeoJSON string, use as an alternative to geoLocation parameter

actionTypestringOptional

For Action eventTypeId, the type of the action - command or navLayout

actionTriggerCodestringOptional

For Action eventTypeId, the webhook trigger code for the Action

actionLayoutCodestringOptional

For Action eventTypeId and navLayout actionType, the Layout Code identifier

dataSetIdintegerOptional

For Data Connector eventTypeId, the DataSet ID

dataSetParamsstringOptional

For Data Connector eventTypeId, the DataSet params

Responses
201

successful operation

application/json
post/schedule
POST /api/schedule HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 631

"eventTypeId=1&campaignId=1&fullScreenCampaignId=1&commandId=1&mediaId=1&displayOrder=1&isPriority=1&displayGroupIds=[1]&dayPartId=1&syncTimezone=1&fromDt='2026-01-01T00:00:00.000Z'&toDt='2026-01-01T00:00:00.000Z'&recurrenceType=''&recurrenceDetail=1&recurrenceRange='2026-01-01T00:00:00.000Z'&recurrenceRepeatsOn=[1]&scheduleReminders=[{'reminder_value':1,'reminder_type':1,'reminder_option':1,'reminder_isEmailHidden':1}]&isGeoAware=1&geoLocation=['text']&geoLocationJson='text'&actionType='text'&actionTriggerCode='text'&actionLayoutCode='text'&dataSetId=1&dataSetParams='text'"
201

successful operation

{
  "eventId": 1,
  "eventTypeId": 1,
  "campaignId": 1,
  "commandId": 1,
  "displayGroups": [
    {
      "displayGroupId": 1,
      "displayGroup": "text",
      "description": "text",
      "isDisplaySpecific": 1,
      "isDynamic": 1,
      "dynamicCriteria": "text",
      "dynamicCriteriaLogicalOperator": "text",
      "dynamicCriteriaTags": "text",
      "dynamicCriteriaExactTags": 1,
      "dynamicCriteriaTagsLogicalOperator": "text",
      "userId": 1,
      "tags": [
        {
          "tag": "text",
          "tagId": 1,
          "value": "text"
        }
      ],
      "bandwidthLimit": 1,
      "groupsWithPermissions": "text",
      "createdDt": "text",
      "modifiedDt": "text",
      "folderId": 1,
      "permissionsFolderId": 1,
      "ref1": "text",
      "ref2": "text",
      "ref3": "text",
      "ref4": "text",
      "ref5": "text"
    }
  ],
  "scheduleReminders": [
    {
      "scheduleReminderId": 1,
      "eventId": 1,
      "value": 1,
      "type": 1,
      "option": 1,
      "isEmail": 1,
      "reminderDt": 1,
      "lastReminderDt": 1
    }
  ],
  "criteria": [],
  "userId": 1,
  "fromDt": 1,
  "toDt": 1,
  "isPriority": 1,
  "displayOrder": 1,
  "recurrenceType": "None",
  "recurrenceDetail": 1,
  "recurrenceRange": 1,
  "recurrenceRepeatsOn": "text",
  "recurrenceMonthlyRepeatsOn": 1,
  "campaign": "text",
  "command": "text",
  "dayPartId": 1,
  "isAlways": 1,
  "isCustom": 1,
  "syncEvent": 1,
  "syncTimezone": 1,
  "shareOfVoice": 1,
  "maxPlaysPerHour": 1,
  "isGeoAware": 1,
  "geoLocation": "text",
  "actionTriggerCode": "text",
  "actionType": "text",
  "actionLayoutCode": "text",
  "parentCampaignId": 1,
  "syncGroupId": 1,
  "dataSetId": 1,
  "dataSetParams": 1,
  "modifiedBy": 1,
  "createdOn": "text",
  "updatedOn": "text",
  "name": "text",
  "resolutionId": 1,
  "layoutDuration": 1,
  "backgroundColor": "text"
}

Delete a Recurring Event

delete

Delete a Recurring Event of a Scheduled Event

Path parameters
eventIdintegerRequired

The Scheduled Event ID

Responses
204

successful operation

No content

delete/schedulerecurrence/{eventId}
DELETE /api/schedulerecurrence/{eventId} HTTP/1.1
Accept: */*
204

successful operation

No content

Schedule search by ID

get

Get the Schedule object specified by the provided eventId

Path parameters
eventIdintegerRequired

Numeric ID of the Scheduled Event to get

Responses
200

successful operation

application/json

Class Schedule

eventIdintegerOptional

The ID of this Event

eventTypeIdintegerOptional

The Event Type ID

campaignIdintegerOptional

The CampaignID this event is for

commandIdintegerOptional

The CommandId this event is for

userIdintegerOptional

The userId that owns this event.

fromDtintegerOptional

A Unix timestamp representing the from date of this event in CMS time.

toDtintegerOptional

A Unix timestamp representing the to date of this event in CMS time.

isPriorityintegerOptional

Integer indicating the event priority.

displayOrderintegerOptional

The display order for this event.

recurrenceTypestring · enumOptional

If this event recurs when what is the recurrence period.

Possible values:
recurrenceDetailintegerOptional

If this event recurs when what is the recurrence frequency.

recurrenceRangeintegerOptional

A Unix timestamp indicating the end time of the recurring events.

recurrenceRepeatsOnstringOptional

Recurrence repeats on days - 0 to 7 where 0 is a monday

recurrenceMonthlyRepeatsOnintegerOptional

Recurrence monthly repeats on - 0 is day of month, 1 is weekday of week

campaignstringRead-onlyOptional

The Campaign/Layout Name

commandstringRead-onlyOptional

The Command Name

dayPartIdintegerOptional

The Day Part Id

isAlwaysintegerOptional

Is this event an always on event?

isCustomintegerOptional

Does this event have custom from/to date times?

syncEventintegerOptional

Flag indicating whether the event should be synchronised across displays

syncTimezoneintegerOptional

Flag indicating whether the event will sync to the Display timezone

shareOfVoiceintegerOptional

Seconds (0-3600) of each full hour that is scheduled that this Layout should occupy

maxPlaysPerHourintegerOptional

The maximum number of plays per hour per display for this event

isGeoAwareintegerOptional

Flag (0-1), whether this event is using Geo Location

geoLocationstringOptional

Geo JSON representing the area of this event

actionTriggerCodestringOptional

For Action event type, Action trigger code

actionTypestringOptional

For Action event type, the type of the Action (navigate to Layout or Command)

actionLayoutCodestringOptional

For Action event type and navigate to Layout Action type, the Layout code

parentCampaignIdintegerOptional

If the schedule should be considered part of a larger campaign

syncGroupIdintegerOptional

For sync events, the id the the sync group

dataSetIdintegerOptional

For data connector events, the dataSetId

dataSetParamsintegerOptional

For data connector events, the data set parameters

modifiedByintegerOptional

The userId of the user that last modified this Schedule

createdOnstringOptional

The Date this Schedule was created on

updatedOnstringOptional

The Date this Schedule was las updated on

namestringOptional

The name of this Scheduled Event

resolutionIdintegerOptional

The resolutionId of this Fullscreen Scheduled Event

layoutDurationintegerOptional

The duration of this Fullscreen Scheduled Event

backgroundColorstringOptional

The background color of this Fullscreen Scheduled Event

get/schedule/{eventId}
GET /api/schedule/{eventId} HTTP/1.1
Accept: */*
200

successful operation

{
  "eventId": 1,
  "eventTypeId": 1,
  "campaignId": 1,
  "commandId": 1,
  "displayGroups": [
    {
      "displayGroupId": 1,
      "displayGroup": "text",
      "description": "text",
      "isDisplaySpecific": 1,
      "isDynamic": 1,
      "dynamicCriteria": "text",
      "dynamicCriteriaLogicalOperator": "text",
      "dynamicCriteriaTags": "text",
      "dynamicCriteriaExactTags": 1,
      "dynamicCriteriaTagsLogicalOperator": "text",
      "userId": 1,
      "tags": [
        {
          "tag": "text",
          "tagId": 1,
          "value": "text"
        }
      ],
      "bandwidthLimit": 1,
      "groupsWithPermissions": "text",
      "createdDt": "text",
      "modifiedDt": "text",
      "folderId": 1,
      "permissionsFolderId": 1,
      "ref1": "text",
      "ref2": "text",
      "ref3": "text",
      "ref4": "text",
      "ref5": "text"
    }
  ],
  "scheduleReminders": [
    {
      "scheduleReminderId": 1,
      "eventId": 1,
      "value": 1,
      "type": 1,
      "option": 1,
      "isEmail": 1,
      "reminderDt": 1,
      "lastReminderDt": 1
    }
  ],
  "criteria": [],
  "userId": 1,
  "fromDt": 1,
  "toDt": 1,
  "isPriority": 1,
  "displayOrder": 1,
  "recurrenceType": "None",
  "recurrenceDetail": 1,
  "recurrenceRange": 1,
  "recurrenceRepeatsOn": "text",
  "recurrenceMonthlyRepeatsOn": 1,
  "campaign": "text",
  "command": "text",
  "dayPartId": 1,
  "isAlways": 1,
  "isCustom": 1,
  "syncEvent": 1,
  "syncTimezone": 1,
  "shareOfVoice": 1,
  "maxPlaysPerHour": 1,
  "isGeoAware": 1,
  "geoLocation": "text",
  "actionTriggerCode": "text",
  "actionType": "text",
  "actionLayoutCode": "text",
  "parentCampaignId": 1,
  "syncGroupId": 1,
  "dataSetId": 1,
  "dataSetParams": 1,
  "modifiedBy": 1,
  "createdOn": "text",
  "updatedOn": "text",
  "name": "text",
  "resolutionId": 1,
  "layoutDuration": 1,
  "backgroundColor": "text"
}

Edit Schedule Event

put

Edit a scheduled event for a Campaign/Layout to be shown on a Display Group/Display.

Path parameters
eventIdintegerRequired

The Scheduled Event ID

Body
eventTypeIdintegerRequired

The Event Type Id to use for this Event. * 1=Layout, 2=Command, 3=Overlay, 4=Interrupt, 5=Campaign, 6=Action

campaignIdintegerOptional

The Campaign ID to use for this Event. * If a Layout is needed then the Campaign specific ID for that Layout should be used.

commandIdintegerOptional

The Command ID to use for this Event.

mediaIdintegerOptional

The Media ID to use for this Event.

displayOrderintegerRequired

The display order for this event.

isPriorityintegerRequired

An integer indicating the priority of this event. Normal events have a priority of 0.

displayGroupIdsinteger[]Required

The Display Group IDs for this event. * Display specific Group IDs should be used to schedule on single displays.

dayPartIdintegerOptional

The Day Part for this event. Overrides supported are 0(custom) and 1(always). Defaulted to 0.

syncTimezoneintegerOptional

Should this schedule be synced to the resulting Display timezone?

fromDtstring · date-timeRequired

The from date for this event.

toDtstring · date-timeOptional

The to date for this event.

recurrenceTypestring · enumOptional

The type of recurrence to apply to this event.

Possible values:
recurrenceDetailintegerOptional

The interval for the recurrence.

recurrenceRangestring · date-timeOptional

The end date for this events recurrence.

recurrenceRepeatsOninteger[]Optional

The days of the week that this event repeats - weekly only

isGeoAwareintegerOptional

Flag (0-1), whether this event is using Geo Location

geoLocationstring[]Optional

Array of comma separated strings each with comma separated pair of coordinates

geoLocationJsonstringOptional

Valid GeoJSON string, use as an alternative to geoLocation parameter

actionTypestringOptional

For Action eventTypeId, the type of the action - command or navLayout

actionTriggerCodestringOptional

For Action eventTypeId, the webhook trigger code for the Action

actionLayoutCodestringOptional

For Action eventTypeId and navLayout actionType, the Layout Code identifier

dataSetIdintegerOptional

For Data Connector eventTypeId, the DataSet ID

dataSetParamsstringOptional

For Data Connector eventTypeId, the DataSet params

Responses
200

successful operation

application/json

Class Schedule

eventIdintegerOptional

The ID of this Event

eventTypeIdintegerOptional

The Event Type ID

campaignIdintegerOptional

The CampaignID this event is for

commandIdintegerOptional

The CommandId this event is for

userIdintegerOptional

The userId that owns this event.

fromDtintegerOptional

A Unix timestamp representing the from date of this event in CMS time.

toDtintegerOptional

A Unix timestamp representing the to date of this event in CMS time.

isPriorityintegerOptional

Integer indicating the event priority.

displayOrderintegerOptional

The display order for this event.

recurrenceTypestring · enumOptional

If this event recurs when what is the recurrence period.

Possible values:
recurrenceDetailintegerOptional

If this event recurs when what is the recurrence frequency.

recurrenceRangeintegerOptional

A Unix timestamp indicating the end time of the recurring events.

recurrenceRepeatsOnstringOptional

Recurrence repeats on days - 0 to 7 where 0 is a monday

recurrenceMonthlyRepeatsOnintegerOptional

Recurrence monthly repeats on - 0 is day of month, 1 is weekday of week

campaignstringRead-onlyOptional

The Campaign/Layout Name

commandstringRead-onlyOptional

The Command Name

dayPartIdintegerOptional

The Day Part Id

isAlwaysintegerOptional

Is this event an always on event?

isCustomintegerOptional

Does this event have custom from/to date times?

syncEventintegerOptional

Flag indicating whether the event should be synchronised across displays

syncTimezoneintegerOptional

Flag indicating whether the event will sync to the Display timezone

shareOfVoiceintegerOptional

Seconds (0-3600) of each full hour that is scheduled that this Layout should occupy

maxPlaysPerHourintegerOptional

The maximum number of plays per hour per display for this event

isGeoAwareintegerOptional

Flag (0-1), whether this event is using Geo Location

geoLocationstringOptional

Geo JSON representing the area of this event

actionTriggerCodestringOptional

For Action event type, Action trigger code

actionTypestringOptional

For Action event type, the type of the Action (navigate to Layout or Command)

actionLayoutCodestringOptional

For Action event type and navigate to Layout Action type, the Layout code

parentCampaignIdintegerOptional

If the schedule should be considered part of a larger campaign

syncGroupIdintegerOptional

For sync events, the id the the sync group

dataSetIdintegerOptional

For data connector events, the dataSetId

dataSetParamsintegerOptional

For data connector events, the data set parameters

modifiedByintegerOptional

The userId of the user that last modified this Schedule

createdOnstringOptional

The Date this Schedule was created on

updatedOnstringOptional

The Date this Schedule was las updated on

namestringOptional

The name of this Scheduled Event

resolutionIdintegerOptional

The resolutionId of this Fullscreen Scheduled Event

layoutDurationintegerOptional

The duration of this Fullscreen Scheduled Event

backgroundColorstringOptional

The background color of this Fullscreen Scheduled Event

put/schedule/{eventId}
PUT /api/schedule/{eventId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 606

"eventTypeId=1&campaignId=1&commandId=1&mediaId=1&displayOrder=1&isPriority=1&displayGroupIds=[1]&dayPartId=1&syncTimezone=1&fromDt='2026-01-01T00:00:00.000Z'&toDt='2026-01-01T00:00:00.000Z'&recurrenceType=''&recurrenceDetail=1&recurrenceRange='2026-01-01T00:00:00.000Z'&recurrenceRepeatsOn=[1]&scheduleReminders=[{'reminder_value':1,'reminder_type':1,'reminder_option':1,'reminder_isEmailHidden':1}]&isGeoAware=1&geoLocation=['text']&geoLocationJson='text'&actionType='text'&actionTriggerCode='text'&actionLayoutCode='text'&dataSetId=1&dataSetParams='text'"
200

successful operation

{
  "eventId": 1,
  "eventTypeId": 1,
  "campaignId": 1,
  "commandId": 1,
  "displayGroups": [
    {
      "displayGroupId": 1,
      "displayGroup": "text",
      "description": "text",
      "isDisplaySpecific": 1,
      "isDynamic": 1,
      "dynamicCriteria": "text",
      "dynamicCriteriaLogicalOperator": "text",
      "dynamicCriteriaTags": "text",
      "dynamicCriteriaExactTags": 1,
      "dynamicCriteriaTagsLogicalOperator": "text",
      "userId": 1,
      "tags": [
        {
          "tag": "text",
          "tagId": 1,
          "value": "text"
        }
      ],
      "bandwidthLimit": 1,
      "groupsWithPermissions": "text",
      "createdDt": "text",
      "modifiedDt": "text",
      "folderId": 1,
      "permissionsFolderId": 1,
      "ref1": "text",
      "ref2": "text",
      "ref3": "text",
      "ref4": "text",
      "ref5": "text"
    }
  ],
  "scheduleReminders": [
    {
      "scheduleReminderId": 1,
      "eventId": 1,
      "value": 1,
      "type": 1,
      "option": 1,
      "isEmail": 1,
      "reminderDt": 1,
      "lastReminderDt": 1
    }
  ],
  "criteria": [],
  "userId": 1,
  "fromDt": 1,
  "toDt": 1,
  "isPriority": 1,
  "displayOrder": 1,
  "recurrenceType": "None",
  "recurrenceDetail": 1,
  "recurrenceRange": 1,
  "recurrenceRepeatsOn": "text",
  "recurrenceMonthlyRepeatsOn": 1,
  "campaign": "text",
  "command": "text",
  "dayPartId": 1,
  "isAlways": 1,
  "isCustom": 1,
  "syncEvent": 1,
  "syncTimezone": 1,
  "shareOfVoice": 1,
  "maxPlaysPerHour": 1,
  "isGeoAware": 1,
  "geoLocation": "text",
  "actionTriggerCode": "text",
  "actionType": "text",
  "actionLayoutCode": "text",
  "parentCampaignId": 1,
  "syncGroupId": 1,
  "dataSetId": 1,
  "dataSetParams": 1,
  "modifiedBy": 1,
  "createdOn": "text",
  "updatedOn": "text",
  "name": "text",
  "resolutionId": 1,
  "layoutDuration": 1,
  "backgroundColor": "text"
}

Delete Event

delete

Delete a Scheduled Event

Path parameters
eventIdintegerRequired

The Scheduled Event ID

Responses
204

successful operation

No content

delete/schedule/{eventId}
DELETE /api/schedule/{eventId} HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?